import type { SearchContextState } from "@elastic/search-ui";
import React from "react";
import { BaseContainerProps, Rename } from "./types";
export type ResultsPerPageContainerContext = Pick<SearchContextState, "resultsPerPage" | "setResultsPerPage">;
export type ResultsPerPageContainerProps = BaseContainerProps & ResultsPerPageContainerContext & {
    view?: React.ComponentType<ResultsPerPageViewProps>;
    options?: number[];
};
export type ResultsPerPageViewProps = BaseContainerProps & Pick<ResultsPerPageContainerProps, "options"> & Rename<ResultsPerPageContainerContext, {
    setResultsPerPage: "onChange";
    resultsPerPage: "value";
}>;
declare function ResultsPerPage({ className, onChange, options, value: selectedValue, ...rest }: ResultsPerPageViewProps): JSX.Element;
export default ResultsPerPage;
